<div class="card-headder text-black ">
    <h1>#Ajout d'un hotel</h1> 
 </div>
<div class="container">
<div class="card">
    <div class="alert alert-error" *ngIf="errorMessage" >{{errorMessage}}</div>
    <div class="row">
        <div class="col-md m-auto">
            <div class="card card-body">
       
        <form  (ngSubmit)="ajouthotel()" [formGroup]="hotelForm" enctype="multipart/form-data">
            <div class="row">
                <div class="form-group col-lg-6">
                    <label for="nom" class="font-bold block mb-2"> Nom </label>
                    <input  id="nom" class="form-control" 
                    formControlName="nom" 
                    minlength="4"
                    required type="text"
                    [ngClass]="{'is-invalid':hotelForm.get('nom')!.touched && !hotelForm.get('nom')!.valid}"/>
                    <div class="invalid-feedback">
                        <span *ngIf ="hotelForm.get('nom')!.errors?.['required']" >Entrez le nom</span>
                        <span *ngIf ="hotelForm.get('nom')!.errors?.['minlength']" >Le nom est trop court</span>
                    </div>
                </div>   
                <div class="form-group col-lg-6">
                    <label for="ville" class="font-bold block mb-2"> Ville </label>
                    <input  id="ville"  class="form-control" 
                    formControlName="ville" 
                    required type="text"
                    [ngClass]="{'is-invalid':hotelForm.get('ville')!.touched && !hotelForm.get('ville')!.valid}"/>
                    <div class="invalid-feedback">
                        <span *ngIf ="hotelForm.get('ville')!.errors?.['required']" >Entrez le ville</span>
                    </div>
                </div>
                
            </div>
            <div class="row">
                <div class="form-group col-lg-6">
                    <label for="type" class="font-bold block mb-2"> Type </label>
                    <input  id="type"  class="form-control" 
                    formControlName="type" 
                    required type="text"
                    minlength="4"
                    [ngClass]="{'is-invalid':hotelForm.get('type')!.touched && !hotelForm.get('type')!.valid}"/>
                    <div class="invalid-feedback">
                        <span *ngIf ="hotelForm.get('type')!.errors?.['required']" >Entrez un le type de votre hotel</span>
                        <span *ngIf ="hotelForm.get('type')!.errors?.['minlength']" >La type est trop courte</span>
                    </div>
                </div>
                <div class="form-group col-lg-6">
                    <label for="photo" class="font-bold block mb-2"> Photo </label>
                    <input (change)="onFileSelected($event)"  id="photo"  class="file-input"  
                    formControlName="photo" 
                    multiple="multiple"  
                    required 
                    type="file"
                    [ngClass]="{'is-invalid':hotelForm.get('photo')!.touched && !hotelForm.get('photo')!.valid}"/>
                    <div class="invalid-feedback">
                        <span *ngIf ="hotelForm.get('photo')!.errors?.['required']" >Choisissez une photo</span>
                        <span *ngIf ="hotelForm.get('photo')!.errors?.['type']" >Vous devez choisir un fichier</span>
                    </div>
                </div>
            </div>    
        <div class="form-group row mb-2">
            <div class="offset-md-2 col-md-4">
                <button class="btn btn-info mr-3" type="submit">Ajouter</button>
            </div>
            <div class="offset-md-2 col-md-4">
                <button class="btn btn-danger mr-3" type="button">Annuler</button>
            </div>
        </div>
        </form>
    </div>
</div>
</div>
</div>
</div>